#1 Live TV - Program Info

0.1.4
closed-fixed
nobody
mvpmc (13)
5
2005-06-04
2005-03-09
Mark Heydon
No

I belive pressing the unmarked button (between Mute
and Full) is now
suppose to give the details of the on-air program?

On mine it actually crashed the mvpmc
program.....when I press it, a black
box (empty) appears in the top left corner of the screen
just before the
crash...no other boxes appear (empty or otherwise).

The following is from the command line on the
MediaMVP itself at crash
time....

__cmyth_send_message: sending message '37
QUERY_RECORDER
2[]:[]GET_PROGRAM_
INFO'
__cmyth_rcv_length: buffer is '370 ' ret = 370
__cmyth_rcv_string: string received 'Driving Mum & Dad
Mad'
__cmyth_rcv_string: string received '4/6'
__cmyth_rcv_string: string received 'The parents face
the danger zone this
week,
as they prepare to take their little horrors to the
supermarket - with
mixed re
sults.'
__cmyth_rcv_string: string
received 'social/policical/economics'
__cmyth_rcv_string: string received '2005-03-
09T22:00:00'
__cmyth_rcv_string: string received '2005-03-
09T22:30:00'
__cmyth_rcv_string: string received 'ITV1'
__cmyth_rcv_string: string received
'/usr/local/share/mythtv/icons/tv/itv1.gif'
__cmyth_rcv_string: string received '3'
__cmyth_rcv_string: string received '1006'
__cmyth_rcv_string: string received ' '
__cmyth_rcv_string: string received '21389'
__cmyth_rcv_string: string received ' '
__cmyth_rcv_string: string received '0'
__cmyth_rcv_string: string received '2005-03-
09T22:00:00'
__cmyth_rcv_string: string received '0'
cmyth_proginfo_parse_url: url
is: '/usr/local/share/mythtv/icons/tv/itv1.gif'
child failed, with status 11, restarting...

Discussion

  • Jon Gettler
    Jon Gettler
    2005-03-10

    • milestone: --> 0.1.4
     
  • Jon Gettler
    Jon Gettler
    2005-03-10

    Logged In: YES
    user_id=985381

    What version of MythTV are you using?

    This works fine for me with MythTV 0.16.

     
  • Mark Heydon
    Mark Heydon
    2005-03-10

    Logged In: YES
    user_id=1236102

    MythTV version 0.17, released version not CVS

     
  • Logged In: NO

    This is caused by the URL copying into a null poiner.

    I think I already have a fix as a part of further
    development of the live tv function and will release it soon.

    Ahmed

     
  • Mark Heydon
    Mark Heydon
    2005-05-22

    Logged In: YES
    user_id=1236102

    Hasn't some of the changes now been put into CVS?

    I updated my CVS today, and this problem is still there.

     
  • Jon Gettler
    Jon Gettler
    2005-06-04

    Logged In: YES
    user_id=985381

    This should be fixed now.

     
  • Jon Gettler
    Jon Gettler
    2005-06-04

    • status: open --> closed-fixed